Skip to main content
GET
Query Items By Category Id

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

items.read
oauth2-authorization-code

Grants permission to read item data.

items.read
oauth2-client-credentials

Grants permission to read item data.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

categoryId
string<uuid>
required

The ID of the category from which the items are to be retrieved. Id of a category.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

includeSubcategories
boolean

Specifies whether items that belong to subcategories of the specified category, including nested subcategories, should also be returned. Defaults to false.

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

createdDateAfter
string<date-time>

Only include items whose CreatedDate is after (greater than) this value.

createdDateBefore
string<date-time>

Only include items whose CreatedDate is before (less than) this value.

modifiedDateAfter
string<date-time>

Only include items whose ModifiedDate is after (greater than) this value.

modifiedDateBefore
string<date-time>

Only include items whose ModifiedDate is before (less than) this value.

modifiedTimestampAfter
string<date-time>

Only include items whose ModifiedTimestamp is after (greater than) this value.

modifiedTimestampBefore
string<date-time>

Only include items whose ModifiedTimestamp is before (less than) this value.

releaseDateAfter
string<date-time>

Only include items whose ReleaseDate is after (greater than) this value.

releaseDateBefore
string<date-time>

Only include items whose ReleaseDate is before (less than) this value.

lastPurchaseDateAfter
string<date-time>

Only include items whose LastPurchaseDate is after (greater than) this value.

lastPurchaseDateBefore
string<date-time>

Only include items whose LastPurchaseDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>